FactoriesLoaderSupport (Grails 3.3.8)
Date: 2018-08-10

Package: org.grails.io.support

## [Groovy] Class FactoriesLoaderSupport

- org.grails.io.support.FactoriesLoaderSupport

- Base functionality for loading grails.factories

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `FACTORIES_RESOURCE_LOCATION` The location to look for the factories.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String[]` | `loadFactoryNames(java.lang.Class<?> factoryClass, java.lang.ClassLoader classLoader = FactoriesLoaderSupport.class.classLoader)` Loads the names of the classes from grails.factories without loading the classes themselves
    `` | `static java.lang.String[]` | `loadFactoryNames(java.lang.String factoryClassName, java.lang.ClassLoader classLoader = FactoriesLoaderSupport.class.classLoader)` Loads the names of the classes from grails.factories without loading the classes themselves

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String FACTORIES_RESOURCE_LOCATION

      The location to look for the factories. Can be present in multiple JAR files.

  - ### Method Detail

    - #### static java.lang.String[] loadFactoryNames(java.lang.Class<?> factoryClass, java.lang.ClassLoader classLoader = FactoriesLoaderSupport.class.classLoader)

      Loads the names of the classes from grails.factories without loading the classes themselves

      Parameters:
        `factoryClass` - The factory class
        `classLoader` - The ClassLoader
      Returns:
        An array of classes that implement the factory class

    - #### static java.lang.String[] loadFactoryNames(java.lang.String factoryClassName, java.lang.ClassLoader classLoader = FactoriesLoaderSupport.class.classLoader)

      Loads the names of the classes from grails.factories without loading the classes themselves

      Parameters:
        `factoryClass` - The factory class
        `classLoader` - The ClassLoader
      Returns:
        An array of classes that implement the factory class